import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelCaseTMR extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      {
        coord: new fields.StringField({ label: "Coordonnées", initial: "", ...STRING }),
        type: new fields.StringField({ label: "Type", initial: "", ...STRING }),
        label: new fields.StringField({ label: "Label", initial: "", ...STRING }),
        specific: new fields.StringField({ label: "Spécifique", initial: "", ...STRING }),
        sourceid: new fields.StringField({ label: "Source ID", initial: "", ...STRING }),
      }
    )
  }
}
